/* Anachron theme engine
 * Copyright (C) 2005 Dennis Möhlmann
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Based on Redmont95
 * Written by Owen Taylor <otaylor@redhat.com>
 * Modified by Dennis Möhlmann <nyda at nyda dot info>
 */

#include "style.h"
#include "rc_style.h"

static void      anachron_rc_style_init         (AnachronRcStyle      *style);
static void      anachron_rc_style_class_init   (AnachronRcStyleClass *klass);
static GtkStyle *anachron_rc_style_create_style (GtkRcStyle         *rc_style);

static GtkRcStyleClass *parent_class;

GType anachron_type_rc_style = 0;

void
anachron_rc_style_register_type (GTypeModule *module)
{
  static const GTypeInfo object_info =
  {
    sizeof (AnachronRcStyleClass),
    (GBaseInitFunc) NULL,
    (GBaseFinalizeFunc) NULL,
    (GClassInitFunc) anachron_rc_style_class_init,
    NULL,           /* class_finalize */
    NULL,           /* class_data */
    sizeof (AnachronRcStyle),
    0,              /* n_preallocs */
    (GInstanceInitFunc) anachron_rc_style_init,
  };
  
  anachron_type_rc_style = g_type_module_register_type (module,
						      GTK_TYPE_RC_STYLE,
						      "AnachronRcStyle",
						      &object_info, 0);
}

static void
anachron_rc_style_init (AnachronRcStyle *style)
{
}

static void
anachron_rc_style_class_init (AnachronRcStyleClass *klass)
{
  GtkRcStyleClass *rc_style_class = GTK_RC_STYLE_CLASS (klass);

  parent_class = g_type_class_peek_parent (klass);

  rc_style_class->create_style = anachron_rc_style_create_style;
}

/* Create an empty style suitable to this RC style
 */
static GtkStyle *
anachron_rc_style_create_style (GtkRcStyle *rc_style)
{
  return GTK_STYLE (g_object_new (ANACHRON_TYPE_STYLE, NULL));
}

