/* Anachron theme engine
 * Copyright (C) 2005 Dennis Möhlmann
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Based on Redmont95
 * Written by Owen Taylor <otaylor@redhat.com>
 * Modified by Dennis Möhlmann <nyda at nyda dot info>
 */
#include <gtk/gtkrc.h>

typedef struct _AnachronRcStyle AnachronRcStyle;
typedef struct _AnachronRcStyleClass AnachronRcStyleClass;

extern GType anachron_type_rc_style;

#define ANACHRON_TYPE_RC_STYLE              anachron_type_rc_style
#define ANACHRON_RC_STYLE(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), ANACHRON_TYPE_RC_STYLE, AnachronRcStyle))
#define ANACHRON_RC_STYLE_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), ANACHRON_TYPE_RC_STYLE, AnachronRcStyleClass))
#define ANACHRON_IS_RC_STYLE(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), ANACHRON_TYPE_RC_STYLE))
#define ANACHRON_IS_RC_STYLE_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), ANACHRON_TYPE_RC_STYLE))
#define ANACHRON_RC_STYLE_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), ANACHRON_TYPE_RC_STYLE, AnachronRcStyleClass))

struct _AnachronRcStyle
{
  GtkRcStyle parent_instance;
  
  GList *img_list;
};

struct _AnachronRcStyleClass
{
  GtkRcStyleClass parent_class;
};

void anachron_rc_style_register_type (GTypeModule *module);
