/* Anachron theme engine
 * Copyright (C) 2005 Dennis Möhlmann
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Based on Redmont95
 * Written by Owen Taylor <otaylor@redhat.com>
 * Modified by Dennis Möhlmann <nyda at nyda dot info>
 */

#include <gtk/gtkstyle.h>

typedef struct _AnachronStyle AnachronStyle;
typedef struct _AnachronStyleClass AnachronStyleClass;

extern GType anachron_type_style;

#define ANACHRON_TYPE_STYLE              anachron_type_style
#define ANACHRON_STYLE(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), ANACHRON_TYPE_STYLE, AnachronStyle))
#define ANACHRON_STYLE_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), ANACHRON_TYPE_STYLE, AnachronStyleClass))
#define ANACHRON_IS_STYLE(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), ANACHRON_TYPE_STYLE))
#define ANACHRON_IS_STYLE_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), ANACHRON_TYPE_STYLE))
#define ANACHRON_STYLE_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), ANACHRON_TYPE_STYLE, AnachronStyleClass))

struct _AnachronStyle {
  GtkStyle  parent_instance;

  GdkColor  border_shades[5][9];       // FIXME: config.c has defines for it. create config.h?
  GdkGC     *gc;
};

struct _AnachronStyleClass {
  GtkStyleClass parent_class;
};

void anachron_style_register_type (GTypeModule *module);
